maltwix
Posts: 3
Joined: Mon May 27, 2019 5:32 pm

Bind9 Update

Tue May 28, 2019 10:06 am

I would like to update to bind version 9.11 because 9.11 has the Option "-L" which allows me to specify a general logfile which is used before the config file is parsed. How can I update to this version with apt-get? I don't want to compile it by myself or install an unsupported package.

fruitoftheloom
Posts: 19789
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Bind9 Update

Tue May 28, 2019 10:08 am

maltwix wrote:
Tue May 28, 2019 10:06 am
I would like to update to bind version 9.11 because 9.11 has the Option "-L" which allows me to specify a general logfile which is used before the config file is parsed. How can I update to this version with apt-get? I don't want to compile it by myself or install an unsupported package.

Wait until Raspbian Buster is released ?

https://packages.debian.org/buster/bind9
adieu

My other Computer is an Asus CS10 ChromeBit running Chrome Operating System.
HP Envy 4500 Wireless Printer supported by HPLIP software in Raspbian Buster.
Raspberry Pi Model 2B v1.1

itsmedoofer
Posts: 335
Joined: Wed Sep 25, 2013 8:43 am

Re: Bind9 Update

Tue May 28, 2019 11:38 am

maltwix wrote:
Tue May 28, 2019 10:06 am
I would like to update to bind version 9.11 because 9.11 has the Option "-L" which allows me to specify a general logfile which is used before the config file is parsed. How can I update to this version with apt-get? I don't want to compile it by myself or install an unsupported package.
Hi,

Have a search for apt version pinning, if the list of dependencies is not massive you may be able to use the Buster version, I have used this quite a bit for small utilities over the years, be careful though, you can destroy your setup !

I will reiterate it really only works for things with unique dependencies or a low number of non-unique ones...

Return to “Raspbian”